> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tickable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Webhook

> Register a new webhook endpoint to receive event notifications. Requires the `webhooks.write` scope.



## OpenAPI

````yaml post /webhooks
openapi: 3.0.0
info:
  version: 1.0.0
  title: Tickable API
  description: >-
    The Tickable API provides programmatic access to events, orders, tickets,
    and webhooks for your organization.
  contact:
    name: Tickable
    url: https://tickable.nl
servers:
  - url: https://api.tickable.io
    description: Production
security:
  - Bearer: []
tags:
  - name: Events
    description: Manage events
  - name: Tickets
    description: View tickets
  - name: Orders
    description: View orders
  - name: Webhooks
    description: Manage webhook subscriptions
  - name: User
    description: Current user information
  - name: OAuth
    description: OAuth2 authorization and token endpoints
paths:
  /webhooks:
    post:
      tags:
        - Webhooks
      summary: Create webhook
      description: >-
        Register a new webhook endpoint to receive event notifications. Requires
        the `webhooks.write` scope.
      operationId: createWebhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  format: uri
                  example: https://api.example.com/webhook
                event_types:
                  type: array
                  items:
                    type: string
                    enum:
                      - order.created
                      - order.confirmed
                      - ticket.scanned
                      - ticket.cancelled
                  minItems: 1
                  example:
                    - order.created
                description:
                  type: string
                  example: Order notifications
              required:
                - url
                - event_types
      responses:
        '200':
          description: Webhook created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
      security:
        - Bearer: []
components:
  schemas:
    Webhook:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 7c9e6679-7425-40de-944b-e07fc1f90ae7
        url:
          type: string
          example: https://api.example.com/webhook
        event_types:
          type: array
          items:
            type: string
            enum:
              - order.created
              - order.confirmed
              - ticket.scanned
              - ticket.cancelled
          example:
            - order.created
        description:
          type: string
          nullable: true
          example: Order notifications
        created_at:
          type: string
          example: '2024-03-13T12:00:00Z'
      required:
        - id
        - url
        - event_types
        - description
        - created_at
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        Pass as `Authorization: Bearer {token}`. Accepts either an OAuth2 JWT
        access token or an API key (`tk_live_...`) created from the Tickable
        dashboard.

````